Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1512799

Summary: pkgconf 1.3.10.i686 has not been pushed into F27 repository
Product: [Fedora] Fedora Reporter: Artem S. Tashkinov <aros>
Component: python-multilibAssignee: Jay Greguske <jgreguske>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 27CC: ajschult784, alquerque, balay, dennis, dmach, ignatenko, jgreguske, jmracek, kevin, litimetal, lsedlar, luca.giuzzi, mhatina, ngompa13, packaging-team-maint, rpm-software-management, vmukhame, wgianopoulos
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-06-24 18:09:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Artem S. Tashkinov 2017-11-14 06:56:16 UTC
# dnf update
Last metadata expiration check: 0:26:38 ago on Tue 14 Nov 2017 06:28:45 AM +00.
Dependencies resolved.

 Problem 1: package pkgconf-1.3.9-1.fc27.i686 requires libpkgconf(x86-32) = 1.3.9-1.fc27, but none of the providers can be installed
  - cannot install both libpkgconf-1.3.10-1.fc27.i686 and libpkgconf-1.3.9-1.fc27.i686
  - cannot install both libpkgconf-1.3.9-1.fc27.i686 and libpkgconf-1.3.10-1.fc27.i686
  - cannot install the best update candidate for package pkgconf-1.3.9-1.fc27.i686
  - cannot install the best update candidate for package libpkgconf-1.3.9-1.fc27.i686
 Problem 2: package pkgconf-pkg-config-1.3.9-1.fc27.i686 requires pkgconf-m4 = 1.3.9-1.fc27, but none of the providers can be installed
  - cannot install both pkgconf-m4-1.3.10-1.fc27.noarch and pkgconf-m4-1.3.9-1.fc27.noarch
  - cannot install both pkgconf-m4-1.3.9-1.fc27.noarch and pkgconf-m4-1.3.10-1.fc27.noarch
  - cannot install the best update candidate for package pkgconf-pkg-config-1.3.9-1.fc27.i686
  - cannot install the best update candidate for package pkgconf-m4-1.3.9-1.fc27.noarch
 Problem 3: problem with installed package pkgconf-1.3.9-1.fc27.i686
  - pkgconf-1.3.9-1.fc27.i686 has inferior architecture
  - cannot install both pkgconf-1.3.10-1.fc27.x86_64 and pkgconf-1.3.9-1.fc27.x86_64
  - cannot install both pkgconf-1.3.9-1.fc27.x86_64 and pkgconf-1.3.10-1.fc27.x86_64
  - cannot install the best update candidate for package pkgconf-1.3.9-1.fc27.x86_64
 Problem 4: package libtiff-devel-4.0.8-3.fc27.i686 requires pkgconfig(x86-32), but none of the providers can be installed
  - pkgconf-pkg-config-1.3.9-1.fc27.i686 has inferior architecture
  - cannot install both pkgconf-pkg-config-1.3.10-1.fc27.x86_64 and pkgconf-pkg-config-1.3.9-1.fc27.x86_64
  - cannot install both pkgconf-pkg-config-1.3.9-1.fc27.x86_64 and pkgconf-pkg-config-1.3.10-1.fc27.x86_64
  - cannot install the best update candidate for package pkgconf-pkg-config-1.3.9-1.fc27.x86_64
  - cannot install the best update candidate for package libtiff-devel-4.0.8-3.fc27.i686
 Problem 5: package libpng-devel-2:1.6.31-1.fc27.i686 requires pkgconfig(x86-32), but none of the providers can be installed
  - package pkgconf-pkg-config-1.3.9-1.fc27.i686 requires pkgconf(x86-32) = 1.3.9-1.fc27, but none of the providers can be installed
  - package pkgconf-1.3.9-1.fc27.i686 requires libpkgconf(x86-32) = 1.3.9-1.fc27, but none of the providers can be installed
  - libpkgconf-1.3.9-1.fc27.i686 has inferior architecture
  - cannot install both libpkgconf-1.3.10-1.fc27.x86_64 and libpkgconf-1.3.9-1.fc27.x86_64
  - cannot install both libpkgconf-1.3.9-1.fc27.x86_64 and libpkgconf-1.3.10-1.fc27.x86_64
  - cannot install the best update candidate for package libpng-devel-2:1.6.31-1.fc27.i686
  - cannot install the best update candidate for package libpkgconf-1.3.9-1.fc27.x86_64
================================================================================
 Package                  Arch         Version              Repository     Size
================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 libpkgconf               i686         1.3.10-1.fc27        updates        32 k
 libpkgconf               x86_64       1.3.10-1.fc27        updates        31 k
 pkgconf                  x86_64       1.3.10-1.fc27        updates        31 k
 pkgconf-m4               noarch       1.3.10-1.fc27        updates        13 k
 pkgconf-pkg-config       x86_64       1.3.10-1.fc27        updates        13 k

Transaction Summary
================================================================================
Skip  5 Packages

Nothing to do.
Complete!

Comment 1 Artem S. Tashkinov 2017-11-14 06:59:54 UTC
# dnf update --best --allowerasing
================================================================================
 Package                 Arch        Version                 Repository    Size
================================================================================
Upgrading:
 libpkgconf              i686        1.3.10-1.fc27           updates       32 k
 libpkgconf              x86_64      1.3.10-1.fc27           updates       31 k
 pkgconf                 x86_64      1.3.10-1.fc27           updates       31 k
 pkgconf-m4              noarch      1.3.10-1.fc27           updates       13 k
 pkgconf-pkg-config      x86_64      1.3.10-1.fc27           updates       13 k
Removing dependent packages:
 libpng-devel            i686        2:1.6.31-1.fc27         @fedora      858 k
 libtiff-devel           i686        4.0.8-3.fc27            @fedora      1.4 M
 pkgconf                 i686        1.3.9-1.fc27            @fedora       49 k
 pkgconf-pkg-config      i686        1.3.9-1.fc27            @fedora      2.5 k

Transaction Summary
================================================================================
Upgrade  5 Packages
Remove   4 Packages

Total download size: 120 k
Is this ok [y/N]: y
Downloading Packages:
(1/5): libpkgconf-1.3.10-1.fc27.x86_64.rpm      113 kB/s |  31 kB     00:00    
(2/5): pkgconf-1.3.10-1.fc27.x86_64.rpm         105 kB/s |  31 kB     00:00    
(3/5): libpkgconf-1.3.10-1.fc27.i686.rpm         98 kB/s |  32 kB     00:00    
(4/5): pkgconf-pkg-config-1.3.10-1.fc27.x86_64. 174 kB/s |  13 kB     00:00    
(5/5): pkgconf-m4-1.3.10-1.fc27.noarch.rpm      246 kB/s |  13 kB     00:00    
--------------------------------------------------------------------------------
Total                                            77 kB/s | 120 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                        1/1 
  Upgrading        : pkgconf-m4-1.3.10-1.fc27.noarch                       1/14 
  Upgrading        : libpkgconf-1.3.10-1.fc27.x86_64                       2/14 
  Running scriptlet: libpkgconf-1.3.10-1.fc27.x86_64                       2/14 
  Upgrading        : pkgconf-1.3.10-1.fc27.x86_64                          3/14 
  Upgrading        : pkgconf-pkg-config-1.3.10-1.fc27.x86_64               4/14 
  Upgrading        : libpkgconf-1.3.10-1.fc27.i686                         5/14 
  Running scriptlet: libpkgconf-1.3.10-1.fc27.i686                         5/14 
  Erasing          : libtiff-devel-4.0.8-3.fc27.i686                       6/14 
  Erasing          : libpng-devel-2:1.6.31-1.fc27.i686                     7/14 
  Cleanup          : pkgconf-pkg-config-1.3.9-1.fc27.x86_64                8/14 
  Erasing          : pkgconf-pkg-config-1.3.9-1.fc27.i686                  9/14 
  Erasing          : pkgconf-1.3.9-1.fc27.i686                            10/14 
  Cleanup          : pkgconf-1.3.9-1.fc27.x86_64                          11/14 
  Cleanup          : libpkgconf-1.3.9-1.fc27.i686                         12/14 
  Running scriptlet: libpkgconf-1.3.9-1.fc27.i686                         12/14 
  Cleanup          : pkgconf-m4-1.3.9-1.fc27.noarch                       13/14 
  Cleanup          : libpkgconf-1.3.9-1.fc27.x86_64                       14/14 
  Running scriptlet: libpkgconf-1.3.9-1.fc27.x86_64                       14/14 
  Verifying        : libpkgconf-1.3.10-1.fc27.x86_64                       1/14 
  Verifying        : pkgconf-1.3.10-1.fc27.x86_64                          2/14 
  Verifying        : libpkgconf-1.3.10-1.fc27.i686                         3/14 
  Verifying        : pkgconf-pkg-config-1.3.10-1.fc27.x86_64               4/14 
  Verifying        : pkgconf-m4-1.3.10-1.fc27.noarch                       5/14 
  Verifying        : pkgconf-1.3.9-1.fc27.x86_64                           6/14 
  Verifying        : pkgconf-1.3.9-1.fc27.i686                             7/14 
  Verifying        : pkgconf-m4-1.3.9-1.fc27.noarch                        8/14 
  Verifying        : pkgconf-pkg-config-1.3.9-1.fc27.x86_64                9/14 
  Verifying        : libpkgconf-1.3.9-1.fc27.x86_64                       10/14 
  Verifying        : libpkgconf-1.3.9-1.fc27.i686                         11/14 
  Verifying        : libtiff-devel-4.0.8-3.fc27.i686                      12/14 
  Verifying        : pkgconf-pkg-config-1.3.9-1.fc27.i686                 13/14 
  Verifying        : libpng-devel-2:1.6.31-1.fc27.i686                    14/14 
New leaves:
  libpkgconf.i686

Removed:
  libpng-devel.i686 2:1.6.31-1.fc27     libtiff-devel.i686 4.0.8-3.fc27         
  pkgconf.i686 1.3.9-1.fc27             pkgconf-pkg-config.i686 1.3.9-1.fc27    

Upgraded:
  libpkgconf.i686 1.3.10-1.fc27              libpkgconf.x86_64 1.3.10-1.fc27   
  pkgconf.x86_64 1.3.10-1.fc27               pkgconf-m4.noarch 1.3.10-1.fc27   
  pkgconf-pkg-config.x86_64 1.3.10-1.fc27   

Complete!

# dnf install libpng-devel.i686 libtiff-devel.i686 pkgconf.i686 pkgconf-pkg-config.i686
================================================================================
 Package                  Arch         Version               Repository    Size
================================================================================
Installing:
 libpng-devel             i686         2:1.6.31-1.fc27       fedora       323 k
 libtiff-devel            i686         4.0.8-3.fc27          fedora       503 k
 pkgconf                  i686         1.3.9-1.fc27          fedora        31 k
 pkgconf-pkg-config       i686         1.3.9-1.fc27          fedora        13 k
Downgrading:
 libpkgconf               i686         1.3.9-1.fc27          fedora        32 k
 libpkgconf               x86_64       1.3.9-1.fc27          fedora        31 k
 pkgconf                  x86_64       1.3.9-1.fc27          fedora        31 k
 pkgconf-m4               noarch       1.3.9-1.fc27          fedora        13 k
 pkgconf-pkg-config       x86_64       1.3.9-1.fc27          fedora        13 k

Transaction Summary
================================================================================
Install    4 Packages
Downgrade  5 Packages

Total download size: 989 k
Is this ok [y/N]: y
Downloading Packages:
(1/9): libpkgconf-1.3.9-1.fc27.i686.rpm         267 kB/s |  32 kB     00:00    
(2/9): pkgconf-m4-1.3.9-1.fc27.noarch.rpm       108 kB/s |  13 kB     00:00    
(3/9): pkgconf-pkg-config-1.3.9-1.fc27.x86_64.r 292 kB/s |  13 kB     00:00    
(4/9): libpkgconf-1.3.9-1.fc27.x86_64.rpm       185 kB/s |  31 kB     00:00    
(5/9): pkgconf-1.3.9-1.fc27.x86_64.rpm          358 kB/s |  31 kB     00:00    
(6/9): pkgconf-1.3.9-1.fc27.i686.rpm            913 kB/s |  31 kB     00:00    
(7/9): pkgconf-pkg-config-1.3.9-1.fc27.i686.rpm 314 kB/s |  13 kB     00:00    
(8/9): libpng-devel-1.6.31-1.fc27.i686.rpm      2.4 MB/s | 323 kB     00:00    
(9/9): libtiff-devel-4.0.8-3.fc27.i686.rpm      3.4 MB/s | 503 kB     00:00    
--------------------------------------------------------------------------------
Total                                           1.4 MB/s | 989 kB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                        1/1 
  Downgrading      : pkgconf-m4-1.3.9-1.fc27.noarch                        1/14 
  Downgrading      : libpkgconf-1.3.9-1.fc27.x86_64                        2/14 
  Running scriptlet: libpkgconf-1.3.9-1.fc27.x86_64                        2/14 
  Downgrading      : pkgconf-1.3.9-1.fc27.x86_64                           3/14 
  Downgrading      : pkgconf-pkg-config-1.3.9-1.fc27.x86_64                4/14 
  Downgrading      : libpkgconf-1.3.9-1.fc27.i686                          5/14 
  Running scriptlet: libpkgconf-1.3.9-1.fc27.i686                          5/14 
  Installing       : pkgconf-1.3.9-1.fc27.i686                             6/14 
  Installing       : pkgconf-pkg-config-1.3.9-1.fc27.i686                  7/14 
  Installing       : libtiff-devel-4.0.8-3.fc27.i686                       8/14 
  Installing       : libpng-devel-2:1.6.31-1.fc27.i686                     9/14 
  Erasing          : pkgconf-pkg-config-1.3.10-1.fc27.x86_64              10/14 
  Erasing          : pkgconf-m4-1.3.10-1.fc27.noarch                      11/14 
  Erasing          : libpkgconf-1.3.10-1.fc27.i686                        12/14 
  Running scriptlet: libpkgconf-1.3.10-1.fc27.i686                        12/14 
  Erasing          : pkgconf-1.3.10-1.fc27.x86_64                         13/14 
  Erasing          : libpkgconf-1.3.10-1.fc27.x86_64                      14/14 
  Running scriptlet: libpkgconf-1.3.10-1.fc27.x86_64                      14/14 
  Verifying        : libpkgconf-1.3.9-1.fc27.i686                          1/14 
  Verifying        : pkgconf-m4-1.3.9-1.fc27.noarch                        2/14 
  Verifying        : libpkgconf-1.3.9-1.fc27.x86_64                        3/14 
  Verifying        : pkgconf-pkg-config-1.3.9-1.fc27.x86_64                4/14 
  Verifying        : pkgconf-1.3.9-1.fc27.x86_64                           5/14 
  Verifying        : libpng-devel-2:1.6.31-1.fc27.i686                     6/14 
  Verifying        : libtiff-devel-4.0.8-3.fc27.i686                       7/14 
  Verifying        : pkgconf-1.3.9-1.fc27.i686                             8/14 
  Verifying        : pkgconf-pkg-config-1.3.9-1.fc27.i686                  9/14 
  Verifying        : pkgconf-1.3.10-1.fc27.x86_64                         10/14 
  Verifying        : pkgconf-m4-1.3.10-1.fc27.noarch                      11/14 
  Verifying        : pkgconf-pkg-config-1.3.10-1.fc27.x86_64              12/14 
  Verifying        : libpkgconf-1.3.10-1.fc27.x86_64                      13/14 
  Verifying        : libpkgconf-1.3.10-1.fc27.i686                        14/14 
New leaves:
  libtiff-devel.i686

Installed:
  libpng-devel.i686 2:1.6.31-1.fc27     libtiff-devel.i686 4.0.8-3.fc27         
  pkgconf.i686 1.3.9-1.fc27             pkgconf-pkg-config.i686 1.3.9-1.fc27    

Downgraded:
  libpkgconf.i686 1.3.9-1.fc27               libpkgconf.x86_64 1.3.9-1.fc27    
  pkgconf.x86_64 1.3.9-1.fc27                pkgconf-m4.noarch 1.3.9-1.fc27    
  pkgconf-pkg-config.x86_64 1.3.9-1.fc27    

Complete!

WTF?

Comment 2 Igor Gnatenko 2017-11-14 07:50:55 UTC
This sounds like a bug of both sides:
- Release engineering: some multilib packages disappear
- libpng-devel/libtiff-devel should not require pkgconfig

Comment 3 Artem S. Tashkinov 2017-11-14 07:57:22 UTC
I'd be glad to pin this bug report to a component other than DNF but I've no clue which one is to blame. DNF sounded like a sane middle ground.

Comment 4 Igor Gnatenko 2017-11-14 15:43:43 UTC
*** Bug 1513011 has been marked as a duplicate of this bug. ***

Comment 5 Daniel Mach 2017-11-15 12:16:58 UTC
Moving to distribution component
as this definitely doesn't require any change in DNF code.

Comment 6 Artem S. Tashkinov 2017-11-15 12:35:40 UTC
(In reply to Daniel Mach from comment #5)

I wonder if CC'ing those who are responsible for this bug makes sense.

Comment 7 Luca Giuzzi 2017-11-16 19:39:05 UTC
I have the same exact problem also with 
freetype-devel
pango-devel

so it is not limited to the two abovementioned libraries.

Comment 8 Bill Gianopoulos 2017-11-17 18:46:44 UTC
Well really the issue here is that in the releases directory there is a an older version of pkgconfig.i686  same version there as pkgconfig.x86_64.  but when pkgconfig got updated, only the x86_64 version got posted to fedora72 updates.  This is obviously wrong, either should not have been an i686 version in releases ever, or this needs to be updated for the life of fedora27.  Just my opinion, I could be wrong.

Comment 9 Bill Gianopoulos 2017-11-17 18:55:54 UTC
In any event I installed pkgconf-1.3.10-1.fc27.i686.rpm and pkgconf-pkg-config-1.3.10-1.fc27.i686.rpm from koji and all is well now.

Comment 10 Artem S. Tashkinov 2017-11-20 07:51:03 UTC
(In reply to Bill Gianopoulos from comment #8)

> Well really the issue here is that in the releases directory there is a an older version of pkgconfig.i686  same version there as pkgconfig.x86_64

This is actually the case:

# dnf info pkgconf
Installed Packages
Name         : pkgconf
Version      : 1.3.9
Release      : 1.fc27
Arch         : i686

Name         : pkgconf
Version      : 1.3.9
Release      : 1.fc27
Arch         : x86_64

Available Packages
Name         : pkgconf
Version      : 1.3.10
Release      : 1.fc27
Arch         : x86_64

I've adjusted the component and changed the bug report title.

Comment 11 Igor Gnatenko 2017-11-20 09:26:06 UTC
*** Bug 1514327 has been marked as a duplicate of this bug. ***

Comment 12 Igor Gnatenko 2017-11-20 09:26:55 UTC
As I said, this has nothing to do with packages. It is release-engineering stuff.

Comment 13 Kevin Fenzi 2017-11-21 17:25:56 UTC
We are now using pungi for both updates and GA trees, so it seems to me the issue is in python-multilib (which pungi uses to tell what should be multilibbed). 

Moving to there for comment...

Comment 14 Igor Gnatenko 2017-11-21 17:37:30 UTC
*** Bug 1515919 has been marked as a duplicate of this bug. ***

Comment 15 Lubomír Sedlář 2017-11-22 09:53:15 UTC
This boils down to python-multilib not marking the package as multilib.

The compose is using devel and runtime multilib methods. Pkgconf clearly is not a -devel or -static package, and it does not install any .so file so runtime method does not match either.

The simplest workaround would be to add pkgconf to multilib_whitelist in Pungi configuration for all relevant composes.

It would also be possible to modify python-multilib to recognize the package, but currently it does not match any criteria for being multilib.

Comment 16 Artem S. Tashkinov 2017-12-11 11:11:42 UTC
(In reply to Igor Gnatenko from comment #12)

Is bug 1524371 related or not?

Comment 17 Neal Gompa 2018-05-30 01:50:58 UTC
Is this still a problem?

As long as pkgconf-pkg-config is available in multilibbed form, everything should be fine.

Comment 18 Artem S. Tashkinov 2018-06-24 18:09:53 UTC
Resolved in Fedora 28.